List record comments | Parallel Developer Documentation
This is unreleased documentation for Parallel Developer Documentation Next 🚧 version.
For up-to-date documentation, see the latest version (Current – v2.x).
Version: Next 🚧
This endpoint can be used to obtain the list of comments for a specific individual or business record.
HTTP Request
GET https://api.parallelmarkets.com/v2/partner-records/{id}/comments
{id}- the individual or business ID in your case management account. If an external_id has been set, theexternal_idvalue can be used instead.
Query Parameters
Pagination request parameters (optional).
Response Parameters
| Parameter | Description |
|---|---|
data |
An array of Record Comment objects, sorted in ascending order of the created_at date. |
pagination |
A Pagination object containing a next_cursor value that can be used in a subsequent API call to obtain the next page of records. |
Example Response
{
"data": [
{
"text": "Here is a comment",
"source": "user",
"created_at": "2025-01-27T16:33:42Z",
"created_by": {
"email": "case-reviewer@safeharb.or",
"last_name": "Ramsay",
"first_name": "Reviewer"
}
},
{
"text": "This is another comment created via the API.",
"source": "api",
"created_at": "2025-01-27T18:11:45Z",
"created_by": null
}
],
"pagination": {
"next_cursor": "MTIzNDU="
}
}